<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: G4OpticalCoupling Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>G4OpticalCoupling Class Reference</h1><!-- doxytag: class="G4OpticalCoupling" -->
<p>a class generating the materials, volumes, and optical properties needed for an optical coupling and allows to access them.  
</p>

<p><a href="classG4OpticalCoupling-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a0be45470ad1391d84ffd1391299cc4a8">G4OpticalCoupling</a> (G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume, G4String coupling_name, G4ThreeVector surface_normal_relative_to_base, G4ThreeVector centre_position_relative_to_base, G4bool searchOverlaps, <a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *propertyTools)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#aabe0677ffb7ebd255ef0771a35f10f99">~G4OpticalCoupling</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::vector&lt; G4VPhysicalVolume * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a5545390dfe90848267fb8c5f1254a64b">GetCoupledVolumes</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4LogicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a58c07cc8a6b71427b22e2d4552e8b0cb">GetCoupling_logicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VPhysicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a8a624bca6df3f16eda0af68599f8a302">GetCoupling_physicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Box *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a7b4875a7a86f66129f037c80f10c6ae5">GetCoupling_solidVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a296be61e96de44eed5f13dc6a5e37457">GetCouplingDimensions</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Material *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a6b935a59dc5c7f75fddf793481a9b694">GetCouplingMaterial</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#affad1b0f0b0b7c0a1daeafd3c57a0c20">GetCouplingName</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#abab045563c6abf2cd1eb2cb84dd93c6c">GetCouplingRelativeSurfaceNormal</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a83155c030a3f86e01beffc7ac38f05d7">GetCouplingRelativeSurfacePosition</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Transform3D&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a97e16eb10eb424d4a940473bcc50638b">GetCouplingTransformation</a> ()</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a980319bd26cf98ede9158a019cbf5094">ConstructVolumes</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4OpticalCoupling.html#a15431708c58cee110cfc9ad97537fffe">DefineMaterials</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FIXME.  <a href="#a15431708c58cee110cfc9ad97537fffe"></a><br/></td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0be45470ad1391d84ffd1391299cc4a8"></a><!-- doxytag: member="G4OpticalCoupling::G4OpticalCoupling" ref="a0be45470ad1391d84ffd1391299cc4a8" args="(G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume, G4String coupling_name, G4ThreeVector surface_normal_relative_to_base, G4ThreeVector centre_position_relative_to_base, G4bool searchOverlaps, PropertyToolsManager *propertyTools)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4OpticalCoupling::G4OpticalCoupling </td>
          <td>(</td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>base_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>volume_optically_coupled_to_base_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>coupling_edgeLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>coupling_width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>coupling_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>surface_normal_relative_to_base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>centre_position_relative_to_base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>searchOverlaps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *&nbsp;</td>
          <td class="paramname"> <em>propertyTools</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor to construct an optical coupling:</p>
<ul>
<li>sets class variables to default values</li>
<li>sets the variables for the optical coupling's placement (considering the transformation of the optical coupling relative to the reference volume and the transformation of the reference volume relative to the mother volume)</li>
<li>creates materials (<a class="el" href="classG4OpticalCoupling.html#a15431708c58cee110cfc9ad97537fffe" title="FIXME.">DefineMaterials()</a>)</li>
<li>constructs the volumes (ConstructScintiVolume()) </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>base_volume</em>&nbsp;</td><td><a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s base volume (volume that something should be coupled to, e.g. a scintillator tile) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>volume_optically_coupled_to_base_volume</em>&nbsp;</td><td>volume that should be coupled to the base volume (e.g. an SiPM) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>coupling_edgeLength</em>&nbsp;</td><td>edge length of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>coupling_width</em>&nbsp;</td><td>width of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mother_volume</em>&nbsp;</td><td><a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s mother volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>coupling_name</em>&nbsp;</td><td>name of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s volume (it will be extended to distinguish between different <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>s and different volumes of one <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surface_normal_relative_to_base</em>&nbsp;</td><td>surface normal of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s front relative to the base volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>centre_position_relative_to_base</em>&nbsp;</td><td><a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s centre position relative to the base volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>searchOverlaps</em>&nbsp;</td><td>Geant should search for overlaps when placing the physical volumes of <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>propertyTools</em>&nbsp;</td><td>pointer to the <a class="el" href="classPropertyToolsManager.html" title="a class making the processing of the properties etc. much easier.">PropertyToolsManager</a> that should be used </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aabe0677ffb7ebd255ef0771a35f10f99"></a><!-- doxytag: member="G4OpticalCoupling::~G4OpticalCoupling" ref="aabe0677ffb7ebd255ef0771a35f10f99" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4OpticalCoupling::~G4OpticalCoupling </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a980319bd26cf98ede9158a019cbf5094"></a><!-- doxytag: member="G4OpticalCoupling::ConstructVolumes" ref="a980319bd26cf98ede9158a019cbf5094" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4OpticalCoupling::ConstructVolumes </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct all volumes and surfaces for optical couplings. </p>

</div>
</div>
<a class="anchor" id="a15431708c58cee110cfc9ad97537fffe"></a><!-- doxytag: member="G4OpticalCoupling::DefineMaterials" ref="a15431708c58cee110cfc9ad97537fffe" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4OpticalCoupling::DefineMaterials </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define materials (compounds, alloys) and their properties:</p>
<ul>
<li>creates new materials according to the specifications from the property file(s)</li>
<li>if the same materials already exist, the newly created ones are deleted </li>
</ul>

<p><p>FIXME </p>
</p>

</div>
</div>
<a class="anchor" id="a5545390dfe90848267fb8c5f1254a64b"></a><!-- doxytag: member="G4OpticalCoupling::GetCoupledVolumes" ref="a5545390dfe90848267fb8c5f1254a64b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;G4VPhysicalVolume *&gt; G4OpticalCoupling::GetCoupledVolumes </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>std::vector&lt;G4VPhysicalVolume *&gt; with the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s base volume as zeroth entry and the volume that should be coupled to the base volume as first entry </dd></dl>

</div>
</div>
<a class="anchor" id="a58c07cc8a6b71427b22e2d4552e8b0cb"></a><!-- doxytag: member="G4OpticalCoupling::GetCoupling_logicalVolume" ref="a58c07cc8a6b71427b22e2d4552e8b0cb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4LogicalVolume* G4OpticalCoupling::GetCoupling_logicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the logical volume of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a8a624bca6df3f16eda0af68599f8a302"></a><!-- doxytag: member="G4OpticalCoupling::GetCoupling_physicalVolume" ref="a8a624bca6df3f16eda0af68599f8a302" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VPhysicalVolume* G4OpticalCoupling::GetCoupling_physicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the physical volume of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a7b4875a7a86f66129f037c80f10c6ae5"></a><!-- doxytag: member="G4OpticalCoupling::GetCoupling_solidVolume" ref="a7b4875a7a86f66129f037c80f10c6ae5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Box* G4OpticalCoupling::GetCoupling_solidVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the solid volume of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a296be61e96de44eed5f13dc6a5e37457"></a><!-- doxytag: member="G4OpticalCoupling::GetCouplingDimensions" ref="a296be61e96de44eed5f13dc6a5e37457" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector G4OpticalCoupling::GetCouplingDimensions </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s dimensions </dd></dl>

</div>
</div>
<a class="anchor" id="a6b935a59dc5c7f75fddf793481a9b694"></a><!-- doxytag: member="G4OpticalCoupling::GetCouplingMaterial" ref="a6b935a59dc5c7f75fddf793481a9b694" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Material* G4OpticalCoupling::GetCouplingMaterial </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the material of the optical coupling </dd></dl>

</div>
</div>
<a class="anchor" id="affad1b0f0b0b7c0a1daeafd3c57a0c20"></a><!-- doxytag: member="G4OpticalCoupling::GetCouplingName" ref="affad1b0f0b0b7c0a1daeafd3c57a0c20" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String G4OpticalCoupling::GetCouplingName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s name </dd></dl>

</div>
</div>
<a class="anchor" id="abab045563c6abf2cd1eb2cb84dd93c6c"></a><!-- doxytag: member="G4OpticalCoupling::GetCouplingRelativeSurfaceNormal" ref="abab045563c6abf2cd1eb2cb84dd93c6c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector G4OpticalCoupling::GetCouplingRelativeSurfaceNormal </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the surface normal of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s front relative to the base volume </dd></dl>

</div>
</div>
<a class="anchor" id="a83155c030a3f86e01beffc7ac38f05d7"></a><!-- doxytag: member="G4OpticalCoupling::GetCouplingRelativeSurfacePosition" ref="a83155c030a3f86e01beffc7ac38f05d7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector G4OpticalCoupling::GetCouplingRelativeSurfacePosition </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s centre position relative to the base volume </dd></dl>

</div>
</div>
<a class="anchor" id="a97e16eb10eb424d4a940473bcc50638b"></a><!-- doxytag: member="G4OpticalCoupling::GetCouplingTransformation" ref="a97e16eb10eb424d4a940473bcc50638b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Transform3D G4OpticalCoupling::GetCouplingTransformation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the transformation of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a> inside the mother volume </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
